<?php

$server_vars_aux2 = array(
    "DB_FLORESY_IP"			=> "localhost",
    "DB_FLORESY_NAME"		=> "invergladi_dbnue",
    "DB_FLORESY_USER"		=> "invergladi_usernue",
    "DB_FLORESY_PWD"		=> "v]voosaerneJ",
    "DB_HANDLER"        	=> "mysql",
    
    "V_NUM_DIAS_OPEN"        	=> "60",
    "V_INICIO_BALANCE"        	=> "2014-08-08",

    

);



while(list($key, $value) = each($server_vars_aux2)){
    define($key, $value);
}
function ObtenerDiaAbierto($IdSucursal){
  	$mysqli = new mysqli(DB_FLORESY_IP, DB_FLORESY_USER, DB_FLORESY_PWD, DB_FLORESY_NAME);
  	
  	$where .= " AND IdSucursal = '".$IdSucursal."'";
  	$sql = "
  				SELECT 	FechaCierre as FechaCierre
  				FROM 	cr_balance_dia  
  				WHERE 1
  						".$where." 
  				order by FechaCierre desc
  				LIMIT 0,60"
  			 ;
  	
  	$result = $mysqli->query($sql, MYSQLI_STORE_RESULT);
  	
  	if($result){
  		if($result->num_rows > 0){
  			$i = 1;
		  	 while($row = $result->fetch_array(MYSQLI_ASSOC)) {
			  	if($row['FechaCierre']){
			  		if($fecha_anterior){
			  			if($fecha_anterior != $row['FechaCierre']){
			  				return $fecha_anterior;
			  			}
			  		}else{
			  			$maxDiaCerrado = $row['FechaCierre'];
			  		}
			  		$fecha_anterior = date('Y-m-d',strtotime($row['FechaCierre']." -1 days"));
			  	}else{
			  		return date('Y-m-d',strtotime(V_INICIO_BALANCE." +1 days"));;
			  	}
			  	$i++;
		  	}
		  	
  		}else{
  			$sql = "
					SELECT 	 fechaInicioBalance 
					FROM 	cr_sucursal   
					WHERE 	1 and IdSucursal  = '".$this->getObjetoBean()->getIdSucursal()."'		
					";
  			
  			$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
  			if(mysql_num_rows($result) > 0 ){	  		
			  	while ($row = mysql_fetch_array($result)){
			  		return  $row['fechaInicioBalance'];
			  	}
	  		}
  			
  		}
  		
  		if($i < V_NUM_DIAS_OPEN ){
			$sql = "
					SELECT 	FechaCierre as FechaCierre
					FROM 	cr_inicio_balance   
					WHERE 	1
							and IdSucursal  = '".$IdSucursal."'					
					";
			$result = $mysqli->query($sql, MYSQLI_STORE_RESULT);
			if($result){
		  		if(mysql_num_rows($result) > 0 ){
		  			$i = 1;
				  	while ($row = mysql_fetch_array($result)){
				  		if($row['FechaCierre'] == $fecha_anterior){
				  			return $fecha_anterior;
				  		}
				  	}
		  		}
			}
  		}
	  	
  		return date('Y-m-d',strtotime($maxDiaCerrado." +1 days"));
  	}
 }

function obtenerClientesXEstado($cboMercado,$pcolor=''){
	
	$mysqli = new mysqli(DB_FLORESY_IP, DB_FLORESY_USER, DB_FLORESY_PWD, DB_FLORESY_NAME);
	
	if($mysqli->connect_errno) {
            printf("Falló la conexión: %s\n", $mysqli->connect_error);
            exit();

    }else {
		$mysqli->set_charset("utf8");
		
		$sql = "SELECT * 
				FROM cr_sucursal_mercado 
				WHERE 1 AND IdMercado = '".$cboMercado."'";
		
		$result = $mysqli->query($sql, MYSQLI_STORE_RESULT);
		
		if (!$result) {
                printf("Error: %s\n", $mysqli->error);
            
        }else{
		 
			if($result->num_rows > 0){
			
		     while($row = $result->fetch_array(MYSQLI_ASSOC)) {
			    $IdSucursal = $row['IdSucursal'];
			      
			    $fechaBalanceAbierto = ObtenerDiaAbierto($IdSucursal);
		    
			    //echo "********".$fechaBalanceAbierto."**********************";
			    
				$sql = "SELECT cr_prestamo.*,cr_cliente.LongitudNegocio,cr_cliente.LatitudNegocio,cr_cliente.NombreCompleto
						FROM cr_prestamo 
						LEFT JOIN cr_cliente ON cr_cliente.IdCliente = cr_prestamo.IdCliente 
						LEFT JOIN cr_mercado ON cr_cliente.IdMercado = cr_mercado.IdMercado 
						WHERE 1=1  AND cr_prestamo.Eliminado <> '1' 
								   AND cr_cliente.IdMercado = '".$cboMercado."'
								   AND cr_prestamo.Estado = 'P' 
								   AND cr_prestamo.FlagReporte = '2' 
						ORDER BY FlagReporte DESC,IdPrestamo DESC 
						LIMIT 0,9999";
				/*****************************************/
				
				$result2 = $mysqli->query($sql, MYSQLI_STORE_RESULT);
				
				if($result2->num_rows > 0){
			    	while ($row_2 =$result2->fetch_array(MYSQLI_ASSOC)) {
			    		$estadoO = "";
			      		$fecha_tope = date('Y-m-d',strtotime($row_2["FechaVencimiento"].' +7 day'));
			      		//echo $fecha_tope."<br>";
			      		//echo $row_2["FechaVencimiento"]."****-----****".$fechaBalanceAbierto;
			      		if($row_2["FechaVencimiento"] >= $fechaBalanceAbierto){
							if($row_2["FlagReporte"] == '1'){
								
								$estadoO = "M";
							}
						}elseif($fecha_tope <= $fechaBalanceAbierto){
							$estadoO = "M";
						}else{
							$estadoO = "V";
						}
						//echo $estadoO."--------------****<br>";
						$amortizacion = $row_2["MontoTotal"] - $row_2["SaldoPrestamo"];
						$color = "";
						if($estadoO  == "V"){
							$color = "morado";
						}elseif($estadoO  == "M"){
							$color = "rojo";
						}else{
							$color = "negro";
						}
						
						if($pcolor){
							if($color != $pcolor) continue;
						}
				      
				      	$a_cobranza[$row_2["IdPrestamo"]]["Nombre"] 									= $row_2["NombreCompleto"];
				      	$a_cobranza[$row_2["IdPrestamo"]]["Color"] 										= $color;
				      	if($row_2["registrolongitud"])$a_cobranza[$row_2["IdPrestamo"]]["Longitud"] 	= $row_2["registrolongitud"];
				      	else $a_cobranza[$row_2["IdPrestamo"]]["Longitud"] 								= $row_2["LongitudNegocio"];
				      	if($row_2["registrolatitud"]) 	$a_cobranza[$row_2["IdPrestamo"]]["Latitud"] 	= $row_2["registrolatitud"];
				      	$a_cobranza[$row_2["IdPrestamo"]]["Latitud"] 									= $row_2["LatitudNegocio"];
				      	$a_cobranza[$row_2["IdPrestamo"]]["MontoTotal"] 								= $row_2["MontoTotal"];
				      	$a_cobranza[$row_2["IdPrestamo"]]["SaldoPrestamo"] 								= $row_2["SaldoPrestamo"];
				      	$a_cobranza[$row_2["IdPrestamo"]]["FechaVencimiento"] 								= $row_2["FechaVencimiento"];
				      	$a_cobranza[$row_2["IdPrestamo"]]["CodigoCliente"] 								= $row_2["IdCliente"];
						
				      }
						
			      }
					return $a_cobranza;	
		     }
			}
        }
    }
}
//PARAMETROS 
//idMercado 	Ejemplo:6
//color 		Ejemplo: rojo    => valores: rojo,morado,negro

$a_valores = obtenerClientesXEstado(6,"");
//$a_valores = obtenerClientesXEstado(6,"morado");
echo "<pre>";
print_r($a_valores);
echo "</pre>";


?>